# Uses of Enum Class
org.kapott.hbci.sepa.jaxb.pain_008_002_01.PaymentCategoryPurpose1Code

Packages that use PaymentCategoryPurpose1Code
Package
Description
org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Uses of PaymentCategoryPurpose1Code in org.kapott.hbci.sepa.jaxb.pain_008_002_01

Fields in org.kapott.hbci.sepa.jaxb.pain_008_002_01 declared as PaymentCategoryPurpose1Code
Modifier and Type
Field
Description
`protected PaymentCategoryPurpose1Code`
PaymentTypeInformationSDD.`ctgyPurp`
Methods in org.kapott.hbci.sepa.jaxb.pain_008_002_01 that return PaymentCategoryPurpose1Code
Modifier and Type
Method
Description
`static PaymentCategoryPurpose1Code`
PaymentCategoryPurpose1Code.`fromValue(String v)`
`PaymentCategoryPurpose1Code`
PaymentTypeInformationSDD.`getCtgyPurp()`
Gets the value of the ctgyPurp property.
`static PaymentCategoryPurpose1Code`
PaymentCategoryPurpose1Code.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PaymentCategoryPurpose1Code[]`
PaymentCategoryPurpose1Code.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.kapott.hbci.sepa.jaxb.pain_008_002_01 with parameters of type PaymentCategoryPurpose1Code
Modifier and Type
Method
Description
`void`
PaymentTypeInformationSDD.`setCtgyPurp(PaymentCategoryPurpose1Code value)`
Sets the value of the ctgyPurp property.